
QGIS Application - Bug report #8832

ERROR:  Couldn't load SIP module. Python support will be disabled. (related to #8826?)

2013-10-14 03:34 AM - Bernard Spies

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:2.0.1 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 17523

Description

Hi there, this might be related to ticket #8826, as it looks similar.

QGIS has updated to QGIS version 2.0.1 on my Ubuntu machine. 

I have also recently installed the Enthought Python Distribution (epd), so this might also have led to this error?

I got the error below, with regards to the SIP module.

After this, I installed the SIP module according to: http://pyqt.sourceforge.net/Docs/sip4/installation.html,

but the error is still there.

Any suggestions?

@Couldn't load SIP module.

Python support will be disabled.

Traceback (most recent call last):

File "", line 1, in 

ImportError: /home/bernard/epd/lib/python2.7/site-packages/sip.so: undefined symbol: PyUnicodeUCS2_AsUTF8String

Python version:

2.7.3 (default, Sep 26 2013, 20:26:19) 

[GCC 4.6.3]

QGIS version:

2.0.1-Dufour 'Dufour', exported

Python path:

['/usr/share/qgis/python', '/home/bernard/.qgis2/python', '/home/bernard/.qgis2/python/plugins', '/usr/share/qgis/python/plugins',

'/home/bernard/epd/lib/python2.7/site-packages/pandas-0.12.0-py2.7-linux-i686.egg', '/home/bernard/epd/lib/python2.7',

'/home/bernard/epd/lib/python2.7/plat-linux2', '/home/bernard/epd/lib/python2.7/lib-tk', '/home/bernard/epd/lib/python2.7/lib-old',

'/home/bernard/epd/lib/python2.7/lib-dynload', '/home/bernard/epd/lib/python2.7/site-packages',

'/home/bernard/epd/lib/python2.7/site-packages/PIL']@

History

#1 - 2013-10-14 03:42 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed
http://pyqt.sourceforge.net/Docs/sip4/installation.html


If you want to use a different python/sip/pyqt4 than what is in your ubuntu by default, you need to build QGIS yourself against it.
